Subject: RE: Invoking SQL*Plus from within cygwin
From: "Jacob Vennervald Madsen" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 19 Sep 2001 18:41:45 +0200

If you want to connect to a remote Oracle DB you need NET8 to do so.

Jacob

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: 19. september 2001 18:27
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: Invoking SQL*Plus from within cygwin

The latest good news is sqlplus no longer crashes - I actually get a
password prompt, so I am much closer than before.   Thanks for all the
hints.

I do still have a problem, though.  I am getting ORA-012560 -
TNS:protocol adaptor error

From my experience on UNIX, I had a registry entry  TNS_ADMIN which
contained the path of tnsnames.ora.  I don't see any registry or NT
environment variables on the server or client which performs the same
function.  I've added both and re-tried but I still receive the same
message.

I don't have Oracle installed on my client.  Do I need to have NET8
installed locally?  Remember I can run sqlplus from the cmd prompt and
sqlplusw from a shortcut mapped to the server without any problems.

Thanks again for all the help.

In a message dated Wed, 19 Sep 2001  9:05:39 AM Eastern Daylight Time,
"Alec Clews" <[email-masked]> writes:

> OK,
> 
> Unset all env variables except the path. SQLPLus should pick em up
from the
> Registry OK. I'm geussing it's because SQLPlus cannot grog the cygwin
mount
> point in ORACLE_HOME etc.
> 
> Alternative is to set ORACLE_HOME etc using NT notation (not sure
about
> LD_LIBRARY_PATH. Assume you don't need it for SQLPlus
> 
> Let me know how you go
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/